> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payin Recipient

> 
    Check whether a wallet's address is registered (and approved) as an payin recipient with the provider.
  

#### Authentication

✅ Organization User (`CustomerEmployee`)\
✅ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Payins:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /payins/recipients
openapi: 3.1.0
info:
  version: 1.910.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payins/recipients:
    get:
      tags:
        - Payins
      summary: Get Payin Recipient
      description: |2-

            Check whether a wallet's address is registered (and approved) as an payin recipient with the provider.
          
      parameters:
        - schema:
            type: string
            enum:
              - CircleMint
            description: The payin provider to check the recipient with.
          required: true
          description: The payin provider to check the recipient with.
          name: provider
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            description: The wallet whose recipient status to check.
          required: true
          description: The wallet whose recipient status to check.
          name: walletId
          in: query
        - schema:
            type: string
            enum:
              - USD
              - EUR
            description: >-
              Fiat currency of the payin (determines the delivered stablecoin,
              e.g. USD → USDC, EUR → EURC).
          required: true
          description: >-
            Fiat currency of the payin (determines the delivered stablecoin,
            e.g. USD → USDC, EUR → EURC).
          name: currency
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  provider:
                    type: string
                    enum:
                      - CircleMint
                    description: Payin provider.
                  walletId:
                    type: string
                    minLength: 1
                    maxLength: 64
                    pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                    description: >-
                      The wallet whose address is (to be) registered as a
                      recipient.
                    example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                  currency:
                    type: string
                    enum:
                      - USD
                      - EUR
                    description: >-
                      Fiat currency of the payin (determines the delivered
                      stablecoin, e.g. USD → USDC, EUR → EURC).
                  status:
                    type: string
                    enum:
                      - NotRegistered
                      - PendingVerification
                      - Active
                    description: Recipient status.
                  recipientAddressId:
                    type: string
                    description: The provider's recipient-registry id, once registered.
                required:
                  - provider
                  - walletId
                  - currency
                  - status
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````